# Random linux utilities

Neat things I picked up along the way

Never

2025-07-25

# Merge pdfs

## Using Ghostscript

Ghostscript has a feature to merge multiple pdf files into one. Although ImageMagick also has this feature, I prefer this one, as it doesn’t rasterize and scales down the pdf files.

    gs -dNOPAUSE -sDEVICE=pdfwrite \
        -sOUTPUTFILE=output.pdf \
        -dBATCH 1.pdf 2.pdf